﻿$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName = 'TagScanner.portable' 
$binarypath = "$([Environment]::GetFolderPath('ApplicationData'))\\TagScanner Portable"
$url = 'https://www.xdlab.ru/files/tagscan61beta2.zip'
$url64 = "https://www.xdlab.ru/files/tagscan61beta2_x64.zip"

$packageArgs = @{
  packageName       = $packageName
  UnzipLocation     = $binarypath
  url               = $url
  checksum          = '7199cee5a6f1aadeac5b40e625ec46e16d41ce8b297094b49423eb7c10dd262d'
  checksum64        = '65080b012c6ea3d0ded0bf6684467156a1dfecafcff4d2df0848ce94183c1d61'
  checksumType      = 'sha256'
  checksumType64    = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -ShortcutFilePath "$([Environment]::GetFolderPath('Desktop'))\\TagScanner Portable.lnk" -TargetPath "$binarypath\\Tagscan.exe"